Java Springboot 2.1 java.lang.LinkageError

So I'm attempting to upgrade a Spring boot application to 2.1. I've got it running locally, but when deploying to Websphere 8.5.5.13, I'm getting a java linkage error. What I get from this is that this ConfigFileApplicationListener class has been loaded twice(one from gradle jars, one on server) and is conflicting? So my solution should be to exclude it from from gradle build? Only problem is I can't figure out what Spring dependency is pulling it in. Any suggestions?

R Caused by: java.lang.LinkageError: loading constraint violation

when overriding method "org/springframework/boot/context/config/

ConfigFileApplicationListener$DocumentFilterFactory.getDocumentFilter

(Lorg/springframework/boot/context/config/ConfigFileApplicationListener$Profile;)

Lorg/springframework/boot/context/config/ConfigFileApplicationListener$DocumentFilter;"

during...

Read More »

By: StackOverFlow - 6 days ago

Related Posts